lirc_cmd_ctx Struct Reference
Client API

`#include <lirc_client.h>`

## Data Fields

char | packet [PACKET_SIZE+1]
char | buffer [PACKET_SIZE+1]
char | reply [PACKET_SIZE+1]
int | head
int | reply_to_stdout
char * | next

## Detailed Description

The data needed to run a command on remote server.

Examples:
  irsend.cpp.

Definition at line 192 of file lirc_client.h.

## Field Documentation

## buffer

char lirc_cmd_ctx::buffer[PACKET_SIZE+1]

Reply IO buffer.

Definition at line 194 of file lirc_client.h.

## head

int lirc_cmd_ctx::head

First free buffer index.

Definition at line 196 of file lirc_client.h.

## next

char* lirc_cmd_ctx::next

Next newline-separated word in buffer.

Definition at line 198 of file lirc_client.h.

## packet

char lirc_cmd_ctx::packet[PACKET_SIZE+1]

The packet to send.

Definition at line 193 of file lirc_client.h.

## reply

char lirc_cmd_ctx::reply[PACKET_SIZE+1]

Command reply payload.

Definition at line 195 of file lirc_client.h.

## reply_to_stdout

int lirc_cmd_ctx::reply_to_stdout

If true, write reply on stdout.

Definition at line 197 of file lirc_client.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/lirc_client.h (05e7bd8 2016-10-20 17:36:59 +0200)